import { SupportedApiMethods } from "../interfaces/generics";
import { IBreadcrumbs } from "../interfaces/breadCrumbs";
export declare class ApiRequest {
    requestHeaders: (additionalHeaders?: {
        [key: string]: string;
    } | undefined) => {
        "content-type": string;
        Authorization: string;
        accept: string;
    };
    getResponse: <Type>(response: Response) => Promise<{
        data: Type;
        statusCode: number;
        breadCrumbs: IBreadcrumbs;
    }>;
    createRequest: <Type>(method: SupportedApiMethods, endpoint: string, payload?: string, additionalHeaders?: {
        [key: string]: string;
    } | undefined) => Promise<{
        data: Type;
        statusCode: number;
    }>;
    get: <Type>(endpoint: string, additionalHeaders?: {
        [key: string]: string;
    } | undefined) => Promise<{
        data: Type;
        statusCode: number;
        breadCrumbs?: IBreadcrumbs | undefined;
    }>;
    put: <Type>(endpoint: string, payload?: string, additionalHeaders?: {
        [key: string]: string;
    } | undefined) => Promise<{
        data: Type;
        statusCode: number;
    }>;
    post: <Type>(endpoint: string, payload?: string, additionalHeaders?: {
        [key: string]: string;
    } | undefined) => Promise<{
        data: Type;
        statusCode: number;
    }>;
    delete: <Type>(endpoint: string, payload?: string, additionalHeaders?: {
        [key: string]: string;
    } | undefined) => Promise<{
        data: Type;
        statusCode: number;
    }>;
    patch: <Type>(endpoint: string, payload?: string, additionalHeaders?: {
        [key: string]: string;
    } | undefined) => Promise<{
        data: Type;
        statusCode: number;
    }>;
}
