import dynamic from "next/dynamic";
import React from "react";
var QuillEditor = function (props) {
    var _a;
    return (React.createElement(QuillNoSSRWrapper, { className: 'quill', theme: "snow", modules: modules, formats: formats, onChange: function (v) {
            props.onQuillChanged(v);
        }, placeholder: (_a = props.placeholder) !== null && _a !== void 0 ? _a : "A beautiful post is a simple, yet eloquent one. Let's see what you've got!" }));
};
var modules = {
    toolbar: [
        [{ header: "1" }, { header: "2" }, { font: [] }],
        [{ size: [] }],
        ["bold", "italic", "underline", "strike", "blockquote"],
        [
            { list: "ordered" },
            { list: "bullet" },
            { indent: "-1" },
            { indent: "+1" },
        ],
        ["link", "image"],
        ["clean"],
    ],
    clipboard: {
        // toggle to add extra line breaks when pasting HTML:
        matchVisual: false,
    },
};
/*
 * Quill editor formats
 * See https://quilljs.com/docs/formats/
 */
var formats = [
    "header",
    "font",
    "size",
    "bold",
    "italic",
    "underline",
    "strike",
    "blockquote",
    "list",
    "bullet",
    "indent",
    "link",
    "image",
];
var QuillNoSSRWrapper = dynamic(import("react-quill"), {
    ssr: false,
    loading: function () { return React.createElement("p", null, "Loading ..."); },
});
export default QuillEditor;
