import { useRouter } from "next/router";
import React from "react";
export var elementWithAuth = function (Component, state) {
    var Permissions = function () {
        if (!state.userData)
            return React.createElement(React.Fragment, null);
        // If user is logged in, return original component
        return React.createElement(Component, null);
    };
    return Permissions;
};
var pageWithAuth = function (Component, state) {
    var Auth = function () {
        var router = useRouter();
        var isWindowDefined = typeof window !== "undefined";
        // If user is not logged in, return an empty component and push to login page
        if (!state.userData && isWindowDefined) {
            router.push("/login");
            return React.createElement(React.Fragment, null);
        }
        // If user is logged in, return original component
        return React.createElement(Component, null);
    };
    // Copy getInitial props so it will run as well
    if (Component.getInitialProps) {
        Auth.getInitialProps = Component.getInitialProps;
    }
    return Auth;
};
export default pageWithAuth;
