import { HTMLInputTypeAttribute } from "react";
export declare type State<T> = T;
export interface IInputFieldProps {
    fieldType: HTMLInputTypeAttribute;
    inputValue: string;
    onInputChange: (value: string) => void;
    autoComplete?: string;
    placeholder?: string;
    error?: string;
    appearence?: string;
    errorCustomClassName?: string;
}
export interface IButtonProps {
    label: string;
    shouldLoad?: boolean;
    onPressed: () => Promise<void>;
    appearence?: string;
}
export interface IGenericApiError {
    message: string;
    errors: {
        [key: string]: string[];
    };
}
export declare enum SupportedApiMethods {
    "GET" = "GET",
    "PUT" = "PUT",
    "POST" = "POST",
    "DELETE" = "DELETE",
    "PATCH" = "PATCH"
}
